Subject: Re: bug#23019: parse-partial-sexp doesn't output the full state needed for its continuance.

From: Andreas Röhler <[email-masked]>
Date: Tue, 15 Mar 2016 10:35:08 +0100

On 15.03.2016 10:13, Alan Mackenzie wrote:
> Hello, Emacs.
>
> When parse-partial-sexp finishes a parse, it fails to record whether or
> not its end point is just after the first character of a two character
> comment starter or ender.  When the resulting state is used as an
> argument to resume the parse, p-p-s will be unaware that the comment has
> started or ended and produce false results.
>
> Proposed solution: Add an extra element to the parser state, recording the
> syntax of the last character passed over before the end of the parse.
> This would be used by parse-partial-sexp to initialise its parse.
>
> Also: the existing element 9 (the list of currently open parens) and the
> new element should be explicitly documented in the Elisp manual, together
> with a statement that there may be further elements in the parse state
> used internally by parse-partial-sexp (for future expansion).
>

Hi Alan,

a comment start might be composed not just by two characters, but by 
three or more. What then?

Cheers,

Andreas